<!--
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 -->

# Documentation content

The documents describing the setup for users and developers:
- [How to Setup: Deploying YuniKorn](user-guide.md)
- [How to Setup: a Developer Environment](developer-guide.md)

The documents describing the community interaction:
- [How to Contribute to YuniKorn](how-to-contribute.md)
- [Coding guidelines for Contibutions](coding-guidelines.md)
- [Reporting Issues](reporting-issues.md)
- [Community SyncUp](community-sync-up.md)

- [Project Roadmap](roadmap.md)

The documents describing the configuration: 
- [Queue Configuration](queue_config.md)
- [Dynamic Queues and Placement Rules](placement_rules.md)
- [Queue Access Control Lists](acls.md)
- [Sorting Policies](sorting_policy.md)
- [State Machines and Events](object_states.md)

Metrics and performance documentation:
- [Kubemark Performance](evaluate-perf-function-with-Kubemark.md)
- [Metric System in the Scheduler](metrics.md)
- [Generic Profiling Instructions](profiling.md)

